v1.0.0
OpenAPI 3.1.0

Create an A/B test group for a one-time send

US region

Client Libraries

Create an A/B test group for a one-time send

Create a new A/B test group for a one-time send (referred to as a "newsletter" in our APIs). This duplicates the existing one-time send's content into a new test group, allowing you to test different versions of your message.

This endpoint does not require a request body. The new test group is created as a copy of the existing content.

You cannot add test groups to a one-time send that has already been sent.

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a one-time send.

Body
application/json
Empty object
Responses
  • application/json
  • 400

    The one-time send has already been sent. You cannot add test groups to a sent one-time send.

  • 404

    The one-time send does not exist.

  • application/json
Request Example for post/v1/newsletters/{newsletter_id}/test_groups
{}
{
  "newsletter": {
    "content_ids": [
      45
    ],
    "created": 1481653919,
    "deduplicate_id": "128275:1484870424",
    "id": 128275,
    "name": "Weekly Product Update",
    "recipient_segment_ids": [
      42,
      99
    ],
    "sent_at": 1481653929,
    "subscription_topic_id": 5,
    "tags": [
      "Product Updates"
    ],
    "type": "email",
    "updated": 1481653929
  }
}